Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

[Gelöst] Fehlerhafte Darstellung bei Supertux2 in Version 0.6

Alles rund um Büroanwendungen, Bildungsprogramme und Spiele unter Linux

Moderator: Moderatoren

Benutzeravatar
Lurchi
Hacker
Hacker
Beiträge: 285
Registriert: 13. Dez 2005, 11:37
Wohnort: Tief im Westen

Re: Fehlerhafte Darstellung bei Supertux2 in Version 0.6

Beitrag von Lurchi » 3. Jun 2019, 10:27

@ poensche:
Du sagst. dass Bumblebee automatisch die zusätzliche Karte verwendet? Nun. Ich habe eine GF MX 130 und woran kann ich erkenne ich das, das BB jene verwendet? Ist sie denn eine sog. dedizierte Karte? Zur Info: Dieser Laptop hatte ursprünglich eine Windows10-Installation, die zusammen mit dem Lapi verkauft worden ist. Dort lief allerdings ST auch ohne zusätzlichen nvidia-Treiber!!
Der noveau-Treiber ist bei mir auch in der blacklist aufgeführt. Ich habe keinen nvidia installiert!!
Gruß, Lurchi
________________________________________________________________________________________
Laptop: openSUSE Leap 15.1 (x86_64) - Kernel: 4.12.14 - Plasma: 5.12.8

Werbung:
Benutzeravatar
Lurchi
Hacker
Hacker
Beiträge: 285
Registriert: 13. Dez 2005, 11:37
Wohnort: Tief im Westen

Re: Fehlerhafte Darstellung bei Supertux2 in Version 0.6

Beitrag von Lurchi » 3. Jun 2019, 11:44

By the way: Das trivialste 3D-Spielchen "supertuxkart" funktioniert auch super.
Gruß, Lurchi
________________________________________________________________________________________
Laptop: openSUSE Leap 15.1 (x86_64) - Kernel: 4.12.14 - Plasma: 5.12.8

spoensche
Moderator
Moderator
Beiträge: 7479
Registriert: 30. Okt 2004, 23:53
Wohnort: Siegen

Re: Fehlerhafte Darstellung bei Supertux2 in Version 0.6

Beitrag von spoensche » 4. Jun 2019, 21:05

Der Status kann, sofern das Tool bbswitch installiert worden ist, mit

Code: Alles auswählen

cat /proc/acpi/bbswitch
geprüft werden.

Benutzeravatar
Lurchi
Hacker
Hacker
Beiträge: 285
Registriert: 13. Dez 2005, 11:37
Wohnort: Tief im Westen

Re: Fehlerhafte Darstellung bei Supertux2 in Version 0.6

Beitrag von Lurchi » 4. Jun 2019, 22:14

spoensche hat geschrieben:
4. Jun 2019, 21:05
Der Status kann, sofern das Tool bbswitch installiert worden ist, mit

Code: Alles auswählen

cat /proc/acpi/bbswitch
geprüft werden.
Hallo.
Bekam aber diese Ausgabe:
linux-exia: cat /proc/acpi/bbswitch
0000:01:00.0 OFF
Obwohl bbswitch installiert wurde. :???:
Gruß, Lurchi
________________________________________________________________________________________
Laptop: openSUSE Leap 15.1 (x86_64) - Kernel: 4.12.14 - Plasma: 5.12.8

Benutzeravatar
Geier0815
Administrator
Administrator
Beiträge: 4357
Registriert: 14. Jun 2004, 09:12

Re: Fehlerhafte Darstellung bei Supertux2 in Version 0.6

Beitrag von Geier0815 » 5. Jun 2019, 11:13

Mir ist eine Sache derzeit nicht ganz klar und das könnte auch der Grund sein warum ihr aneinander vorbei redet.
Hast Du eine zusätzliche Nvidia-Grafikkarte (selber) eingebaut oder ist das so ein Gruselteil das Intel und Nvidia zusammen hat (Optimus oder wie der Dreck heißt)?
Wenn Windows die Lösung ist...
kann ich dann bitte das Problem zurück haben?

Benutzeravatar
Lurchi
Hacker
Hacker
Beiträge: 285
Registriert: 13. Dez 2005, 11:37
Wohnort: Tief im Westen

Re: Fehlerhafte Darstellung bei Supertux2 in Version 0.6

Beitrag von Lurchi » 5. Jun 2019, 11:42

Geier0815 hat geschrieben:
5. Jun 2019, 11:13
Mir ist eine Sache derzeit nicht ganz klar und das könnte auch der Grund sein warum ihr aneinander vorbei redet.
Hast Du eine zusätzliche Nvidia-Grafikkarte (selber) eingebaut oder ist das so ein Gruselteil das Intel und Nvidia zusammen hat (Optimus oder wie der Dreck heißt)?
Mahlzeit....
Mal langsam, bitte. Für mich ist das kein "Drecksteil", wie Du es zu bezeichnen pflegst. Erstems!!
Zweitens. Und nein, ich habe sie NICHT selber eingebaut und mit nichten rede ich etwas von Optimus!
Ich habe zusätzlich eine Geforce MX 130 mit 2 GB VRAM werksseitig verbaut.

Und noch einmal: 3D-Programme, wie Google Earth und SuperTuxKart laufen trotz alledem! Meine Schlussfolgerung ist dann die, dass eine dedizerte Karte bei mir verbaut ist.
So. Naheliegend wäre sicherlich auch, dass sie vielleicht defekt ist. Aber sonst könnte ich die o.g. Programme ja garnicht betreiben, oder?? :???:

Vielleicht sollte man mal das Problem seitens supertux2 betrachten! Über 60 tausend Betrachter dieses threads können doch nicht lügen, oder? Dann hätten ja diese auch ein Drecksteil vor sich. :roll:
Gruß, Lurchi
________________________________________________________________________________________
Laptop: openSUSE Leap 15.1 (x86_64) - Kernel: 4.12.14 - Plasma: 5.12.8

josef-wien
Ultimate Guru
Ultimate Guru
Beiträge: 5339
Registriert: 23. Sep 2008, 17:09

Re: Fehlerhafte Darstellung bei Supertux2 in Version 0.6

Beitrag von josef-wien » 5. Jun 2019, 12:16

Die Ausgabe vom 25. Mai 2019, 21:35 Uhr, zeigt deutlich, daß es sich um Optimus handelt. Das ist eine mehr als grenzwertige Erfindung von Intel und Nvidia, nur weil es Nvidia an der Fähigkeit mangelt, ihren Grafikkarten einen vernünftigen Stromsparmodus beizubringen. Verwendet wird die Intel-Karte, das Kernel-Modul nouveau ist nicht geladen.

tomm.fa hat wohl recht, daß die Version 0.6.0 Probleme verursacht (ich verwende das Programm nicht, aber meine Distribution bietet wohl aus gutem Grund immer noch die Version 0.5.1 an). Wähle im Anmeldebildschirm einmal IceWM aus. Sollte das Programm dort funktionieren, kommt KDE/Plasma damit nicht zurecht. Gibt es in /var/log/Xorg.0.log Auffälligkeiten?

Benutzeravatar
tomm.fa
Moderator
Moderator
Beiträge: 5353
Registriert: 21. Jan 2006, 17:18
Wohnort: OWL - Kreis Gütersloh
Kontaktdaten:

Re: Fehlerhafte Darstellung bei Supertux2 in Version 0.6

Beitrag von tomm.fa » 5. Jun 2019, 12:34

josef-wien hat geschrieben:
5. Jun 2019, 12:16
Wähle im Anmeldebildschirm einmal IceWM aus. Sollte das Programm dort funktionieren, kommt KDE/Plasma damit nicht zurecht.
Ich hatte es unter KDE/Plasma und Fluxbox auf zwei Notebooks mit Intel pur gestartet, kein Unterschied. Ich suche auch schon, soweit es die Zeit zulässt, wie sich der Fehler beheben lässt. Wenn es die Zeit zulässt, kann ich die 0.6er-Version auf einem anderen Rechner mit Nvidia-Grafikkarte ausprobieren, darauf habe ich aufgrund der Fehlermeldungen bisher verzichtet.

Mal ein Beispiel:

Code: Alles auswählen

[WARNING] /home/abuild/rpmbuild/BUILD/SuperTux-v0.6.0-Source/src/video/texture_manager.cpp:265 Couldn't load texture '/images/tiles/forest/treesmall.png' (now using dummy texture): SDL_CreateRGBSurfaceFrom() call failed
Da wird wohl was an der falschen Stelle gesucht.

Edit und Nachtrag:
Gerade unter openSUSE Leap 15.0 mit propritären Nvidia-Grafiktreibern die Version 0.5.1 von Supertux2 gestartet, der gleiche Fehler:

Code: Alles auswählen

[WARNING] /home/abuild/rpmbuild/BUILD/SuperTux-v0.5.1-Source/src/video/texture_manager.cpp:140 Couldn't load texture '/images/tiles/forest/foresttiles-10.png' (now using dummy texture): SDL_CreateRGBSurfaceFrom() call failed
Später nochmal genauer schauen und evtl. hier auch die 0.6er-Version von Supertux2.
Linupedia - Wiki des Linux-Club.
Keine Unterstützung/Hilfestellung per PN!

josef-wien
Ultimate Guru
Ultimate Guru
Beiträge: 5339
Registriert: 23. Sep 2008, 17:09

Re: Fehlerhafte Darstellung bei Supertux2 in Version 0.6

Beitrag von josef-wien » 5. Jun 2019, 16:26

Ich weiß zwar nicht, was ich mit so einem Spiel anfangen soll, aber ich habe es auf meinem Testsystem installiert (und mittlerweile wieder entfernt). Bei PCLinuxOS funktioniert Supertux2 0.5.1 einwandfrei. Da scheint wohl ein bugreport bei openSUSE fällig zu sein.

Benutzeravatar
Lurchi
Hacker
Hacker
Beiträge: 285
Registriert: 13. Dez 2005, 11:37
Wohnort: Tief im Westen

Re: Fehlerhafte Darstellung bei Supertux2 in Version 0.6

Beitrag von Lurchi » 5. Jun 2019, 20:45

josef-wien hat geschrieben:
5. Jun 2019, 16:26
Ich weiß zwar nicht, was ich mit so einem Spiel anfangen soll, aber ich habe es auf meinem Testsystem installiert (und mittlerweile wieder entfernt). Bei PCLinuxOS funktioniert Supertux2 0.5.1 einwandfrei. Da scheint wohl ein bugreport bei openSUSE fällig zu sein.
Guten Abend,
auch unter IceWM desselbe Spielchen. Ich hatte schon unter Leap 15.0 mit der Version 0.51 ab Tag X das gleiche Problem. :???:
Gruß, Lurchi
________________________________________________________________________________________
Laptop: openSUSE Leap 15.1 (x86_64) - Kernel: 4.12.14 - Plasma: 5.12.8

Benutzeravatar
tomm.fa
Moderator
Moderator
Beiträge: 5353
Registriert: 21. Jan 2006, 17:18
Wohnort: OWL - Kreis Gütersloh
Kontaktdaten:

Re: Fehlerhafte Darstellung bei Supertux2 in Version 0.6

Beitrag von tomm.fa » 5. Jun 2019, 20:56

Dann eröffnest du am besten, wie von josef-wien erwähnt, einen Bugreport.
Linupedia - Wiki des Linux-Club.
Keine Unterstützung/Hilfestellung per PN!

Benutzeravatar
tomm.fa
Moderator
Moderator
Beiträge: 5353
Registriert: 21. Jan 2006, 17:18
Wohnort: OWL - Kreis Gütersloh
Kontaktdaten:

Re: Fehlerhafte Darstellung bei Supertux2 in Version 0.6

Beitrag von tomm.fa » 5. Jun 2019, 22:04

Gut, es liegt wohl an irgendeiner libsdl (denke ich).

Code: Alles auswählen

ich@klapptisch2:~> /sbin/lspci -nnk | grep -EiA3 vga
00:02.0 VGA compatible controller [0300]: Intel Corporation HD Graphics 620 [8086:5916] (rev 02)
        Subsystem: Fujitsu Limited. Device [10cf:1959]
        Kernel driver in use: i915
        Kernel modules: i915

Code: Alles auswählen

ich@klapptisch2:~> cat /etc/os-release 
NAME="openSUSE Leap"
VERSION="15.1 "
ID="opensuse-leap"
ID_LIKE="suse opensuse"
VERSION_ID="15.1"
PRETTY_NAME="openSUSE Leap 15.1"
ANSI_COLOR="0;32"
CPE_NAME="cpe:/o:opensuse:leap:15.1"
BUG_REPORT_URL="https://bugs.opensuse.org"
HOME_URL="https://www.opensuse.org/"

Code: Alles auswählen

klapptisch2:~ # zypper lr -d
# | Alias               | Name                                                    | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                   | Service
--+---------------------+---------------------------------------------------------+---------+-----------+---------+----------+--------+-----------------------------------------------------------------------+--------
1 | Spiele              | Spielerepositorium                                      | Yes     | (r ) Yes  | Yes     |   85     | rpm-md | http://download.opensuse.org/repositories/games/openSUSE_Leap_15.1/   |        
2 | mozilla             | Mozilla Repositorium                                    | Yes     | (r ) Yes  | Yes     |   80     | rpm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_Leap_15.1/ |        
3 | packman             | PackMan Repositorium                                    | Yes     | (r ) Yes  | Yes     |   10     | rpm-md | http://ftp.halifax.rwth-aachen.de/packman/suse/openSUSE_Leap_15.1/    |        
4 | repo-non-oss        | Non-OSS Repository                                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.1/repo/non-oss/     |        
5 | repo-oss            | Haupt-Repository                                        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.1/repo/oss/         |        
6 | repo-update         | Hauptaktualisierungs-Repository                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.1/oss                     |        
7 | repo-update-non-oss | Aktualisierungs-Repository (Nicht-Open-Source-Software) | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.1/non-oss/                | 

Code: Alles auswählen

klapptisch2:~ # zypper se -si supertux2 libsdl
Loading repository data...
Reading installed packages...

S  | Name                | Type    | Version          | Arch   | Repository        
---+---------------------+---------+------------------+--------+-------------------
i  | libSDL-1_2-0        | package | 1.2.15-lp151.3.1 | x86_64 | Haupt-Repository  
i  | libSDL2-2_0-0       | package | 2.0.8-lp151.3.1  | x86_64 | Haupt-Repository  
i  | libSDL2_image-2_0-0 | package | 2.0.4-lp151.32.1 | x86_64 | Spielerepositorium
i  | libSDL_gfx15        | package | 2.0.25-lp151.2.3 | x86_64 | Haupt-Repository  
i  | libSDL_image-1_2-0  | package | 1.2.12-lp151.2.3 | x86_64 | Haupt-Repository  
i+ | supertux2           | package | 0.6.0-lp151.24.1 | x86_64 | Spielerepositorium

Code: Alles auswählen

klapptisch2:~ # zypper -vv dup --allow-vendor-change --from Spiele
Verbosity: 3
Initializing Target
Checking whether to refresh metadata for Spielerepositorium
Checking whether to refresh metadata for Mozilla Repositorium
Checking whether to refresh metadata for PackMan Repositorium
Checking whether to refresh metadata for Non-OSS Repository
Checking whether to refresh metadata for Haupt-Repository
Checking whether to refresh metadata for Hauptaktualisierungs-Repository
Checking whether to refresh metadata for Aktualisierungs-Repository (Nicht-Open-Source-Software)
Loading repository data...
Reading installed packages...
Computing distribution upgrade...
Force resolution: No

The following 2 package updates will NOT be installed:
  gstreamer-plugins-bad-lang   1.12.5-4.3  noarch  PackMan Repositorium  http://packman.links2linux.de
  gstreamer-plugins-ugly-lang  1.12.5-3.2  noarch  PackMan Repositorium  http://packman.links2linux.de

The following 2 NEW packages are going to be installed:
  openal-soft-data   1.19.1-lp151.8.1  noarch  Spielerepositorium  obs://build.opensuse.org/games
  openal-soft-tools  1.19.1-lp151.8.1  x86_64  Spielerepositorium  obs://build.opensuse.org/games

The following package is going to be REMOVED:
  openal-soft  1.17.2-lp151.4.3  x86_64  openSUSE

The following 6 packages are going to be upgraded:
  libSDL-1_2-0          1.2.15-lp151.3.1 -> 1.2.15-lp151.87.1     x86_64  Spielerepositorium  openSUSE -> obs://build.opensuse.org/games
  libSDL2-2_0-0         2.0.8-lp151.3.1 -> 2.0.9-lp151.89.1       x86_64  Spielerepositorium  openSUSE -> obs://build.opensuse.org/games
  libSDL_gfx15          2.0.25-lp151.2.3 -> 2.0.26-lp151.36.1     x86_64  Spielerepositorium  openSUSE -> obs://build.opensuse.org/games
  libSDL_image-1_2-0    1.2.12-lp151.2.3 -> 1.2.12-lp151.31.1     x86_64  Spielerepositorium  openSUSE -> obs://build.opensuse.org/games
  libopenal1            1.17.2-lp151.4.3 -> 1.19.1-lp151.8.1      x86_64  Spielerepositorium  openSUSE -> obs://build.opensuse.org/games
  patterns-games-games  20170319-lp151.2.1 -> 20170319-lp151.6.1  x86_64  Spielerepositorium  openSUSE -> obs://build.opensuse.org/games

The following pattern is going to be upgraded:
  games  20170319-lp151.2.1 -> 20170319-lp151.6.1  x86_64  Spielerepositorium  openSUSE -> obs://build.opensuse.org/games

The following 6 packages are going to change vendor:
  libSDL-1_2-0          1.2.15-lp151.3.1 -> 1.2.15-lp151.87.1     x86_64  Spielerepositorium  openSUSE -> obs://build.opensuse.org/games
  libSDL2-2_0-0         2.0.8-lp151.3.1 -> 2.0.9-lp151.89.1       x86_64  Spielerepositorium  openSUSE -> obs://build.opensuse.org/games
  libSDL_gfx15          2.0.25-lp151.2.3 -> 2.0.26-lp151.36.1     x86_64  Spielerepositorium  openSUSE -> obs://build.opensuse.org/games
  libSDL_image-1_2-0    1.2.12-lp151.2.3 -> 1.2.12-lp151.31.1     x86_64  Spielerepositorium  openSUSE -> obs://build.opensuse.org/games
  libopenal1            1.17.2-lp151.4.3 -> 1.19.1-lp151.8.1      x86_64  Spielerepositorium  openSUSE -> obs://build.opensuse.org/games
  patterns-games-games  20170319-lp151.2.1 -> 20170319-lp151.6.1  x86_64  Spielerepositorium  openSUSE -> obs://build.opensuse.org/games

The following pattern is going to change vendor:
  games  20170319-lp151.2.1 -> 20170319-lp151.6.1  x86_64  Spielerepositorium  openSUSE -> obs://build.opensuse.org/games

6 packages to upgrade, 2 new, 1 to remove, 6  to change vendor.
Overall download size: 1.5 MiB. Already cached: 0 B. After the operation, additional 1.2 MiB will be used.
Continue? [y/n/v/...? shows all options] (y): 
committing
Retrieving package libSDL-1_2-0-1.2.15-lp151.87.1.x86_64                                                                                                                                                                    (1/8), 189.1 KiB (511.6 KiB unpacked)
Retrieving: http://download.opensuse.org/repositories/games/openSUSE_Leap_15.1/x86_64/libSDL-1_2-0-1.2.15-lp151.87.1.x86_64.rpm ...........................................................................................................................[done]
Retrieving package libSDL2-2_0-0-2.0.9-lp151.89.1.x86_64                                                                                                                                                                    (2/8), 438.1 KiB (  1.4 MiB unpacked)
Retrieving: http://download.opensuse.org/repositories/games/openSUSE_Leap_15.1/x86_64/libSDL2-2_0-0-2.0.9-lp151.89.1.x86_64.rpm .................................................................................................................[done (998 B/s)]
Retrieving package openal-soft-data-1.19.1-lp151.8.1.noarch                                                                                                                                                                 (3/8), 182.3 KiB (208.9 KiB unpacked)
Retrieving: http://download.opensuse.org/repositories/games/openSUSE_Leap_15.1/noarch/openal-soft-data-1.19.1-lp151.8.1.noarch.rpm ........................................................................................................................[done]
Retrieving package patterns-games-games-20170319-lp151.6.1.x86_64                                                                                                                                                           (4/8),   9.7 KiB (   51   B unpacked)
Retrieving: http://download.opensuse.org/repositories/games/openSUSE_Leap_15.1/x86_64/patterns-games-games-20170319-lp151.6.1.x86_64.rpm ..................................................................................................................[done]
Retrieving package libSDL_image-1_2-0-1.2.12-lp151.31.1.x86_64                                                                                                                                                              (5/8),  39.0 KiB ( 76.7 KiB unpacked)
Retrieving: http://download.opensuse.org/repositories/games/openSUSE_Leap_15.1/x86_64/libSDL_image-1_2-0-1.2.12-lp151.31.1.x86_64.rpm .....................................................................................................................[done]
Retrieving package libSDL_gfx15-2.0.26-lp151.36.1.x86_64                                                                                                                                                                    (6/8),  58.6 KiB (128.5 KiB unpacked)
Retrieving: http://download.opensuse.org/repositories/games/openSUSE_Leap_15.1/x86_64/libSDL_gfx15-2.0.26-lp151.36.1.x86_64.rpm ...........................................................................................................................[done]
Retrieving package libopenal1-1.19.1-lp151.8.1.x86_64                                                                                                                                                                       (7/8), 539.9 KiB (  1.1 MiB unpacked)
Retrieving: http://download.opensuse.org/repositories/games/openSUSE_Leap_15.1/x86_64/libopenal1-1.19.1-lp151.8.1.x86_64.rpm ..............................................................................................................................[done]
Retrieving package openal-soft-tools-1.19.1-lp151.8.1.x86_64                                                                                                                                                                (8/8), 100.3 KiB (336.2 KiB unpacked)
Retrieving: http://download.opensuse.org/repositories/games/openSUSE_Leap_15.1/x86_64/openal-soft-tools-1.19.1-lp151.8.1.x86_64.rpm .......................................................................................................................[done]
Checking for file conflicts: ..............................................................................................................................................................................................................................[done]
(1/8) Installing: libSDL-1_2-0-1.2.15-lp151.87.1.x86_64 ...................................................................................................................................................................................................[done]
(2/8) Installing: libSDL2-2_0-0-2.0.9-lp151.89.1.x86_64 ...................................................................................................................................................................................................[done]
(3/8) Installing: openal-soft-data-1.19.1-lp151.8.1.noarch ................................................................................................................................................................................................[done]
(4/8) Installing: patterns-games-games-20170319-lp151.6.1.x86_64 ..........................................................................................................................................................................................[done]
(5/8) Installing: libSDL_image-1_2-0-1.2.12-lp151.31.1.x86_64 .............................................................................................................................................................................................[done]
(6/8) Installing: libSDL_gfx15-2.0.26-lp151.36.1.x86_64 ...................................................................................................................................................................................................[done]
(7/8) Installing: libopenal1-1.19.1-lp151.8.1.x86_64 ......................................................................................................................................................................................................[done]
(8/8) Installing: openal-soft-tools-1.19.1-lp151.8.1.x86_64 ...............................................................................................................................................................................................[done]
CommitResult  (total 8, done 8, error 0, skipped 0, updateMessages 0)
Checking for running processes using deleted libraries...
There are some running programs that might use files deleted by recent upgrade. You may wish to check and restart some of them. Run 'zypper ps -s' to list these programs.

Code: Alles auswählen

zypper se -si supertux2 libsdl
Loading repository data...
Reading installed packages...

S  | Name                | Type    | Version           | Arch   | Repository        
---+---------------------+---------+-------------------+--------+-------------------
i  | libSDL-1_2-0        | package | 1.2.15-lp151.87.1 | x86_64 | Spielerepositorium
i  | libSDL2-2_0-0       | package | 2.0.9-lp151.89.1  | x86_64 | Spielerepositorium
i  | libSDL2_image-2_0-0 | package | 2.0.4-lp151.32.1  | x86_64 | Spielerepositorium
i  | libSDL_gfx15        | package | 2.0.26-lp151.36.1 | x86_64 | Spielerepositorium
i  | libSDL_image-1_2-0  | package | 1.2.12-lp151.31.1 | x86_64 | Spielerepositorium
i+ | supertux2           | package | 0.6.0-lp151.24.1  | x86_64 | Spielerepositorium
Und läuft, auch mit

Code: Alles auswählen

klapptisch2:~ # zypper se -si supertux2
Loading repository data...
Reading installed packages...

S  | Name      | Type    | Version         | Arch   | Repository      
---+-----------+---------+-----------------+--------+-----------------
i+ | supertux2 | package | 0.6.0-lp151.1.2 | x86_64 | Haupt-Repository
Jetzt kann ich wieder alles deinstallieren.
Linupedia - Wiki des Linux-Club.
Keine Unterstützung/Hilfestellung per PN!

Benutzeravatar
Lurchi
Hacker
Hacker
Beiträge: 285
Registriert: 13. Dez 2005, 11:37
Wohnort: Tief im Westen

Re: Fehlerhafte Darstellung bei Supertux2 in Version 0.6

Beitrag von Lurchi » 5. Jun 2019, 22:11

Gruß, Lurchi
________________________________________________________________________________________
Laptop: openSUSE Leap 15.1 (x86_64) - Kernel: 4.12.14 - Plasma: 5.12.8

Benutzeravatar
tomm.fa
Moderator
Moderator
Beiträge: 5353
Registriert: 21. Jan 2006, 17:18
Wohnort: OWL - Kreis Gütersloh
Kontaktdaten:

Re: Fehlerhafte Darstellung bei Supertux2 in Version 0.6

Beitrag von tomm.fa » 5. Jun 2019, 22:27

Kannst du trotzdem auch mal das aus meinem vorherigen Beitrag testen?
Linupedia - Wiki des Linux-Club.
Keine Unterstützung/Hilfestellung per PN!

Benutzeravatar
Lurchi
Hacker
Hacker
Beiträge: 285
Registriert: 13. Dez 2005, 11:37
Wohnort: Tief im Westen

Re: Fehlerhafte Darstellung bei Supertux2 in Version 0.6

Beitrag von Lurchi » 5. Jun 2019, 22:50

tomm.fa hat geschrieben:
5. Jun 2019, 22:27
Kannst du trotzdem auch mal das aus meinem vorherigen Beitrag testen?
Guten Abend
Wollte ich gerade machen. Hatte sich mit dem bugreport überschnitten.
Oha. Es funktioniert ja wieder. :???:
Dass es im Endeffekt an sdl gelegen hat bzw. dem Wechsel zum Spiele-Repo. Wie trivial.
Vielen Dank für Deine tatkräftige Unterstützung und an jeden, der sich an diesem thread beteiligt hat.
Zuletzt geändert von Lurchi am 5. Jun 2019, 23:53, insgesamt 1-mal geändert.
Gruß, Lurchi
________________________________________________________________________________________
Laptop: openSUSE Leap 15.1 (x86_64) - Kernel: 4.12.14 - Plasma: 5.12.8

Benutzeravatar
tomm.fa
Moderator
Moderator
Beiträge: 5353
Registriert: 21. Jan 2006, 17:18
Wohnort: OWL - Kreis Gütersloh
Kontaktdaten:

Re: [Solved] Fehlerhafte Darstellung bei Supertux2 in Version 0.6

Beitrag von tomm.fa » 5. Jun 2019, 23:02

Es liegt wohl an libSDL2-2_0-0-2.0.8-lp151.3.1.x86_64. Es sollte genügen nur dieses Paket auf die Version im Spielerepo zu aktualisieren. Könntest du ja auch noch im Bugreport anmerken.
Linupedia - Wiki des Linux-Club.
Keine Unterstützung/Hilfestellung per PN!

Benutzeravatar
Lurchi
Hacker
Hacker
Beiträge: 285
Registriert: 13. Dez 2005, 11:37
Wohnort: Tief im Westen

Re: [Solved] Fehlerhafte Darstellung bei Supertux2 in Version 0.6

Beitrag von Lurchi » 5. Jun 2019, 23:50

tomm.fa hat geschrieben:
5. Jun 2019, 23:02
Es liegt wohl an libSDL2-2_0-0-2.0.8-lp151.3.1.x86_64. Es sollte genügen nur dieses Paket auf die Version im Spielerepo zu aktualisieren. Könntest du ja auch noch im Bugreport anmerken.
Schon erldigt. :D
Gruß, Lurchi
________________________________________________________________________________________
Laptop: openSUSE Leap 15.1 (x86_64) - Kernel: 4.12.14 - Plasma: 5.12.8

Antworten